The letters for requests again, to send or to chase (ANALYST+, dashboard user)
GET
/statement-requests/letters
const url = 'https://api.invogi.com/v1/statement-requests/letters?ids=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.invogi.com/v1/statement-requests/letters?ids=example' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”ids
required
string
Comma-separated request ids (1–500)
reminder
boolean
Word the letter as a reminder
Responses
Section titled “Responses”Letters
Media typeapplication/json
object
items
Array<object>
object
requestId
required
string format: uuid
supplier
required
object
id
string format: uuid
name
string
to
The contact’s email
string | null
contactName
string | null
subject
required
string
body
required
string
Example generated
{ "items": [ { "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "supplier": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example" }, "to": "example", "contactName": "example", "subject": "example", "body": "example" } ]}Invalid request
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}API key lacks required scope/role
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}